> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/radius-attributes.md).

# Radius Attributes

## Get Attribute

> Retrieve a Radius Attribute List.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAttr":{"get":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Get Attribute","description":"Retrieve a Radius Attribute List.","operationId":"d5583309-b45d-4e77-9849-1f8ab4a57e1b","parameters":[{"name":"id","in":"path","description":"The ID of a MFA for which to retrieve the Radius Attribute.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/MFARadiusAttr"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"MFARadiusAttr":{"type":"object","properties":{"vendorID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute vendor ID</para>","format":"int32"},"attributeID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute ID</para>","format":"int32"},"attributeType":{"$ref":"#/components/schemas/RadiusAttrType"},"radiusAttrName":{"type":"string","description":"<para type=\"description\">RADIUS attribute name</para>","nullable":true},"vendor":{"type":"string","description":"<para type=\"description\">RADIUS attribute vendor name</para>","nullable":true},"value":{"type":"string","description":"<para type=\"description\">RADIUS attribute Value</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The RADIUS attribute</para>\r\n<para type=\"description\"></para>"},"RadiusAttrType":{"enum":[["0 = Number","1 = String","2 = IP","3 = Time"]],"type":"string","description":"<para type=\"synopsis\">RADIUS attribute type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add Attribute

> Add a new Radius Attribute.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAttr":{"post":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Add Attribute","description":"Add a new Radius Attribute.","operationId":"75a5c7f0-1ad4-44c0-89a0-65e097737530","parameters":[{"name":"id","in":"path","description":"MFA settings","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"MFA Radius Attribute settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddMFARadiusAttr"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/MFARadiusAttr"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddMFARadiusAttr":{"required":["attributeID","attributeType","radiusAttrName","value","vendor","vendorID"],"type":"object","properties":{"vendorID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute vendor ID</para>","format":"int32"},"attributeID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute ID</para>","format":"int32"},"value":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS attribute value</para>\r\n<para type=\"description\">\r\n                The value has many forms:IP, Number, String, and Time.\r\n                When setting the time it is expected that the time value is in epoch time.\r\n            </para>","nullable":true},"radiusAttrName":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS attribute name</para>","nullable":true},"vendor":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS attribute vendor name</para>","nullable":true},"attributeType":{"$ref":"#/components/schemas/RadiusAttrType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add MFA RADIUS attribute</para>\r\n<para type=\"description\"></para>"},"RadiusAttrType":{"enum":[["0 = Number","1 = String","2 = IP","3 = Time"]],"type":"string","description":"<para type=\"synopsis\">RADIUS attribute type</para>\r\n<para type=\"description\"></para>","format":"int32"},"MFARadiusAttr":{"type":"object","properties":{"vendorID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute vendor ID</para>","format":"int32"},"attributeID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute ID</para>","format":"int32"},"attributeType":{"$ref":"#/components/schemas/RadiusAttrType"},"radiusAttrName":{"type":"string","description":"<para type=\"description\">RADIUS attribute name</para>","nullable":true},"vendor":{"type":"string","description":"<para type=\"description\">RADIUS attribute vendor name</para>","nullable":true},"value":{"type":"string","description":"<para type=\"description\">RADIUS attribute Value</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The RADIUS attribute</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete Attribute

> Delete a Radius Attribute from a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAttr":{"delete":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Delete Attribute","description":"Delete a Radius Attribute from a site.","operationId":"29a1773e-c96b-4cb9-a756-4d9469cfc8ab","parameters":[{"name":"id","in":"path","description":"The ID of a RadiusAttr to remove from the site.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The MFA Radius Attr Proc Model.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveMFARadiusAttr"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveMFARadiusAttr":{"required":["attributeID","attributeType","radiusAttrName","value","vendor","vendorID"],"type":"object","properties":{"vendorID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute vendor ID</para>","format":"int32"},"attributeID":{"type":"integer","description":"<para type=\"description\">RADIUS attribute ID</para>","format":"int32"},"value":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS attribute value</para>\r\n<para type=\"description\">\r\n                The value has many forms:IP, Number, String, and Time.\r\n                When setting the time it is expected that the time value is in epoch time.\r\n            </para>","nullable":true},"radiusAttrName":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS attribute name</para>","nullable":true},"vendor":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS attribute vendor name</para>","nullable":true},"attributeType":{"$ref":"#/components/schemas/RadiusAttrType"}},"additionalProperties":false},"RadiusAttrType":{"enum":[["0 = Number","1 = String","2 = IP","3 = Time"]],"type":"string","description":"<para type=\"synopsis\">RADIUS attribute type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/radius-attributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
